%global debug_package %{nil}
%global project                 GoogleCloudPlatform
%global repo                    heapster
%global commit                  af4752e8f366cdce38d5b768c2f6ec36248ec9e3
%global shortcommit             %(c=%{commit}; echo ${c:0:7})
 
Name:           heapster
Version:        0.18.2
#Release:        1%{?dist}
Release:        2.git%{shortcommit}%{?dist}
Summary:        Heapster enables Container Cluster Monitoring.
License:        ASL 2.0
URL:            https://github.com/GoogleCloudPlatform/heapster
#Source0:        https://github.com/GoogleCloudPlatform/%{name}/archive/v%{version}.tar.gz
Source0:        https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Source1:        heapster.sysconfig
Source2:        heapster.service
BuildRequires:  golang >= 1.2-7
BuildRequires:  systemd
Requires(post): systemd
Requires(preun):  systemd
Requires(postun): systemd
ExclusiveArch:  %{ix86} x86_64 %{arm}

%description
Heapster enables Container Cluster Monitoring.

Heapster currently supports Kubernetes and CoreOS natively.
It can be extended to support other cluster management
solutions easily. While running in a Kube cluster, heapster
collects compute resource usage of all pods and nodes.

%prep
#%setup -qn %{name}-%{version}
%setup -qn %{repo}-%{commit}

%build
# set up temporary build gopath, and put our directory there
mkdir -p ./_build/src/k8s.io
ln -s $(pwd) ./_build/src/k8s.io/heapster

export GOPATH=$(pwd)/_build:$(pwd)/Godeps/_workspace:%{gopath}
go build -o heapster .

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 ./heapster %{buildroot}%{_bindir}/heapster

# sysconfig
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/heapster
 
# systemd
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/heapster.service
 
%post
%systemd_post heapster.service
 
%preun
%systemd_preun heapster.service
 
%postun
%systemd_postun heapster.service

%files
%doc CONTRIBUTING.md LICENSE README.md
%{_bindir}/heapster
%{_sysconfdir}/sysconfig/heapster
%{_unitdir}/heapster.service

%changelog
* Thu Oct 08 2015 Troy Dawson <tdawson@redhat.com> - 0.18.2-1
- Update to 0.18.2
- Fix sysconfig and service files

* Wed Sep 30 2015 Troy Dawson <tdawson@redhat.com> - 0.18.1-2.git
- Update to latest master release

* Mon Sep 28 2015 Troy Dawson <tdawson@redhat.com> - 0.18.1-1
- Update to 0.18.1

* Tue Sep 8 2015 Chris Murphy <chmurphy@redhat.com> - 0.16.1-3
- Add sysconfig configuration file
 
* Thu Sep 3 2015 Chris Murphy <chmurphy@redhat.com> - 0.16.1-2
- Updated to include Systemd service file, Build Requires, and Scriplets

* Fri Aug 28 2015 Troy Dawson <tdawson@redhat.com> - 0.16.1-1
- Initial Build
